# $Revision: 1.29.2.1 $, $Date: 2008-02-01 18:55:27 $
Summary:	The SILO boot loader for SPARCs
Summary(fr.UTF-8):	Chargeur de boot Linux pour SPARCs
Summary(pl.UTF-8):	SILO - boot loader dla maszyn sparcowych
Name:		silo
Version:	1.4.13
Release:	2
License:	GPL
Group:		Base
Source0:	http://www.sparc-boot.org/pub/silo/%{name}-%{version}.tar.bz2
# Source0-md5:	7039aabf3c1b3858ae8d0ccdde21343e
Patch0:		%{name}-git.patch
Patch1:		%{name}-no_linux_stat_include.patch
URL:		http://www.sparc-boot.org/
BuildRequires:	bash
BuildRequires:	e2fsprogs-static
BuildRequires:	elftoaout
ExclusiveArch:	sparc sparc64 sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The silo package installs the SILO (Sparc Improved LOader) boot
loader, which you'll need to boot PLD Linux on a SPARC. SILO installs
onto your system's boot block and can be configured to boot Linux,
Solaris and SunOS.

%description -l fr.UTF-8
Le paquetage silo installe le chargeur de boot SILO (Sparc Improved
LOader) dont vous avez besoin pour démarrer Linux-Mandrake sur une
SPARC. SILO s'installe sur le "boot block" de votre système et peut
être configuré pour démarrer Linux, Solaris et SunOS.

%description -l pl.UTF-8
Pakiet zawiera SILO (Sparc Improved LOader), ktory jest niezbędny do
uruchomienia PLD Linuksa na SPARCu. SILO instaluje się w bloku
bootującym systemu i może być skonfigurowany tak, aby ładował Linuksa,
Solarisa lub SunOSa.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__make} \
	CC="%{__cc} -m32" 
	
%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/silo.conf ]; then
	/sbin/silo -f > /dev/null 2>&1
fi

%files
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%doc docs/* first-isofs/README.SILO_ISOFS
/boot/*.b
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: silo.spec,v $
Revision 1.29.2.1  2008-02-01 18:55:27  undefine
- up to 1.4.13 from head, silo-no_linux_stat_include.patch to fix build

Revision 1.39  2007-10-08 18:01:52  tommat
- added fixes from silo git
- removed silo-sh.patch - fixed in another way
- BR: bash
- builds now

Revision 1.38  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.36  2006/11/09 10:20:36  qboosh
- added sh patch to fix octal numbers in echo, now builds with ksh
  (or bash 3.2; won't build properly with bash < 2.05b)
- release 2

Revision 1.35  2006/08/09 17:52:29  qboosh
- updated to 1.4.13

Revision 1.34  2006/06/05 10:58:12  qboosh
- updated to 1.4.12

Revision 1.33  2006/03/10 22:31:10  qboosh
- updated to 1.4.11 (with sun4v support)

Revision 1.32  2006/01/11 19:54:19  qboosh
- updated to 1.4.10, removed obsolete llh patch
- pass CC

Revision 1.31  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.30  2005/12/09 09:27:34  qboosh
- updated to 1.4.9, added llh patch

Revision 1.29  2004/07/15 12:39:30  cieciwa
- version 1.4.8,
- updated MD5 sum.

Revision 1.28  2004/06/21 11:47:40  cieciwa
- version 1.4.6,
- updated MD5 sum.

Revision 1.27  2004/05/17 18:32:28  qboosh
- changelog typo

Revision 1.26  2004/05/17 13:07:27  qboosh
- updated to 1.4.5
- workaround for ksh/echo problem which caused silent hang in first stage
- glibc-static is not buildrequired

Revision 1.25  2004/03/18 07:29:34  cieciwa
- updated to version 1.4.4,
- updated MD5 sum.

Revision 1.24  2003/09/19 12:34:50  misi3k
- more BR

Revision 1.23  2003/08/25 19:52:51  misi3k
- added -f option (update the boot block)

Revision 1.22  2003/08/25 19:47:40  misi3k
- cosmetics

Revision 1.21  2003/08/20 21:18:42  undefine
- testing 1.3.1

Revision 1.20  2003/06/27 16:22:40  misi3k
- typo

Revision 1.19  2003/06/27 16:19:56  misi3k
- updated to 1.3
- updated Source0 url
Note: 1.2.6 not work

Revision 1.18  2003/06/21 09:00:37  misi3k
- updated to 1.2.6
- cosmetics
Note: not tested

Revision 1.17  2003/05/25 06:26:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.15  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/13 12:04:10  qboosh
- adapterized, added pl summary

Revision 1.11  2001/05/27 18:14:40  kloczek
- fixed Source url.

Revision 1.10  2001/05/27 18:05:53  kloczek
- updated to 1.0.

Revision 1.9  2000/11/20 20:55:15  zagrodzki
- release 4
- removed bashizm (>&/dev/null)
- pl description

Revision 1.8  2000/08/26 16:27:50  kloczek
- added e2fsprogs-static, glibc-static to BuildRequires list.

Revision 1.7  2000/08/26 16:23:36  kloczek
- typo in Source url.

Revision 1.6  2000/08/26 16:22:52  kloczek
- updated to 0.9.9 (release 3),
- added fr translation from MDK spec file,
- new Source url,
- added gzipping %doc.

Revision 1.5  2000/08/07 23:07:48  baggins
- spec adapterized

Revision 1.4  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.3  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw
